## python-django-mptt 0.6.0

=== requirements.txt ===
Django >= 1.4.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build/docs

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "renaming sphinx dirs so they're okay for gh-pages"
	sed -i -s -e 's/"_static\//"static\//g' $(BUILDDIR)/html/*.html
	mv $(BUILDDIR)/html/_static/ $(BUILDDIR)/html/static
	sed -i -s -e 's/"_sources\//"sources\//g' $(BUILDDIR)/html/*.html
	mv $(BUILDDIR)/html/_sources/ $(BUILDDIR)/html/sources
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-mptt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-mptt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-mptt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-mptt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-django-mptt 0.4.2

=== debian/changelog ===
python-django-mptt (0.4.2-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:31 +0200

python-django-mptt (0.4.2-1) unstable; urgency=low

  * Initial release. (Closes: #611049)

 -- Janos Guljas <janos@resenje.org>  Sun, 06 Feb 2011 13:44:00 +0100

=== debian/control ===
Source: python-django-mptt
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@resenje.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-sphinx
XS-Python-Version: >= 2.5
Standards-Version: 3.9.1
Homepage: https://github.com/django-mptt/django-mptt
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django-mptt/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-django-mptt//trunk/

Package: python-django-mptt
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}, libjs-jquery, python-django
Provides: ${python:Provides}
Description: Modified Preorder Tree Traversal Django application
 Django MPTT is a reusable/standalone Django application which aims to
 make it easy for you to use Modified Preorder Tree Traversal with your
 own Django models in your own applications.
 .
 It takes care of the details of managing a database table as a tree
 structure and provides tools for working with trees of model instances.

=== debian/rules ===
#!/usr/bin/make -f

PREFIX = /usr

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	make -C docs html
	rm -rf build/doc/html/sources/

override_dh_installdocs:
	dh_installdocs
	(cd debian/python-django-mptt$(PREFIX)/share/doc/python-django-mptt/html/static \
		&& rm jquery.js \
		&& ln -s ../../../../javascript/jquery/jquery.js .)

## python-django-mptt 0.5.1

=== debian/changelog ===
python-django-mptt (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Add debian/local-options.
  * Bump standards to 3.9.2.
  * Add debian/links and improve documentation packaging.
  * Fix dep5 syntax.
  * Add DM-Upload-Allowed control field. 

 -- Janos Guljas <janos@resenje.org>  Fri, 18 Nov 2011 16:12:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Janos Guljas <janos@resenje.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-sphinx
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-sphinx, python-django
 XS-Python-Version: >= 2.5
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://github.com/django-mptt/django-mptt
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django-mptt/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-django-mptt//trunk/
@@ -13,7 +14,7 @@
 Package: python-django-mptt
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${misc:Depends}, ${python:Depends}, libjs-jquery, python-django
+Depends: ${misc:Depends}, ${python:Depends}, libjs-jquery, python-django, libjs-underscore
 Provides: ${python:Provides}
 Description: Modified Preorder Tree Traversal Django application
  Django MPTT is a reusable/standalone Django application which aims to

## python-django-mptt 0.5.2

=== debian/changelog ===
python-django-mptt (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Add python-all to build-depends.

 -- Janos Guljas <janos@resenje.org>  Sun, 11 Dec 2011 01:43:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Janos Guljas <janos@resenje.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), python-setuptools, python-sphinx, python-django
+Build-Depends: debhelper (>= 7.0.50~), python-all, python-setuptools, python-sphinx, python-django
 XS-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 Homepage: https://github.com/django-mptt/django-mptt

## python-django-mptt 0.6.0

=== debian/changelog ===
python-django-mptt (0.6.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

  [ Janos Guljas ]
  * New upstream releaseo. (Closes: #719353)
  * Raise debconf comaptibility to 9.
  * Change my email address.
  * debian/control:
    - Raise standards to 3.9.4.
    - Remove XS-Python-Version and XB-Python-Version.
    - Build-Depend on debhelper (>= 9).
  * debian/copyright:
    - Update copyright years.
    - Update Format URL.

 -- Janos Guljas <janos@debian.org>  Thu, 15 Aug 2013 21:39:56 +0200

=== debian/control ===
Source: python-django-mptt
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-all, python-setuptools, python-sphinx, python-django
Standards-Version: 3.9.4
Homepage: https://github.com/django-mptt/django-mptt
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-mptt/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-mptt//trunk/

Package: python-django-mptt
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, libjs-jquery, python-django, libjs-underscore
Provides: ${python:Provides}
Description: Modified Preorder Tree Traversal Django application
 Django MPTT is a reusable/standalone Django application which aims to
 make it easy for you to use Modified Preorder Tree Traversal with your
 own Django models in your own applications.
 .
 It takes care of the details of managing a database table as a tree
 structure and provides tools for working with trees of model instances.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

=== debian/watch ===
version=3
http://githubredir.debian.net/github/django-mptt/django-mptt /github/django-mptt/django-mptt/(.+).tar.gz

## python-django-mptt 0.7.3

=== debian/changelog ===
python-django-mptt (0.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Mon, 11 May 2015 15:15:09 +1000

python-django-mptt (0.6.1-1) unstable; urgency=medium

  * New upstream version.
  * Add python package.
  * Split documentation into -doc package.

 -- Brian May <bam@debian.org>  Wed, 04 Feb 2015 09:33:57 +1100

=== debian/control ===
Source: python-django-mptt
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Brian May <bam@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-sphinx,
 python-all (>= 2.6.6-3~), python-setuptools, python-django (>= 1.6),
 python3-all, python3-setuptools, python3-django (>= 1.6),
Standards-Version: 3.9.6
Homepage: https://github.com/django-mptt/django-mptt
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-mptt/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-mptt//trunk/

Package: python-django-mptt
Architecture: all
Suggests: python-django-mptt-doc
Depends: ${misc:Depends}, ${python:Depends}, libjs-jquery, python-django, libjs-underscore
Provides: ${python:Provides}
Description: Modified Preorder Tree Traversal Django application
 Django MPTT is a reusable/standalone Django application which aims to
 make it easy for you to use Modified Preorder Tree Traversal with your
 own Django models in your own applications.
 .
 It takes care of the details of managing a database table as a tree
 structure and provides tools for working with trees of model instances.

Package: python3-django-mptt
Architecture: all
Suggests: python-django-mptt-doc
Depends: ${misc:Depends}, ${python3:Depends}, libjs-jquery, python3-django, libjs-underscore
Provides: ${python3:Provides}
Description: Modified Preorder Tree Traversal Django application
 Django MPTT is a reusable/standalone Django application which aims to
 make it easy for you to use Modified Preorder Tree Traversal with your
 own Django models in your own applications.
 .
 It takes care of the details of managing a database table as a tree
 structure and provides tools for working with trees of model instances.

Package: python-django-mptt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: python-django-mptt (<< 0.6.1-1~)
Replaces: python-django-mptt (<< 0.6.1-1~)
Description: Modified Preorder Tree Traversal Django application
 Django MPTT is a reusable/standalone Django application which aims to
 make it easy for you to use Modified Preorder Tree Traversal with your
 own Django models in your own applications.
 .
 It takes care of the details of managing a database table as a tree
 structure and provides tools for working with trees of model instances.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export PYBUILD_NAME=django-mptt
+
 %:
-	dh $@ --with python2
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=3
opts="filenamemangle=s/\S+\/([^\/]+\.tar\.gz)#md5=[[:alnum:]]+$/$1/" \
        https://pypi.python.org/simple/django-mptt/ \
        \S+/django-mptt-(\S+)\.tar\.gz#md5=[[:alnum:]]+

## python-django-mptt 0.8.0

=== debian/changelog ===
python-django-mptt (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixes FTBFS error. Closes: #805688.
  * Maintainer not responding to emails. Setting maintainer to DPMT.

 -- Brian May <bam@debian.org>  Sun, 03 Jan 2016 15:22:59 +1100

python-django-mptt (0.7.4-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Mon, 30 Nov 2015 19:48:27 +1100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: python-django-mptt
 Section: python
 Priority: optional
-Maintainer: Janos Guljas <janos@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- Brian May <bam@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python3-sphinx,
  python-all (>= 2.6.6-3~), python-setuptools, python-django (>= 1.6),
  python3-all, python3-setuptools, python3-django (>= 1.6),
 Standards-Version: 3.9.6
 Homepage: https://github.com/django-mptt/django-mptt
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-mptt/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-mptt//trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-mptt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-mptt.git
 
 Package: python-django-mptt
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 	dh_auto_build
 	make -C docs html
 
+override_dh_auto_test:
+	PYTHONPATH=.:tests \
+	dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/django-admin test --settings=settings --verbosity 2 --traceback myapp"
+
 override_dh_auto_clean:
 	rm -rf build
 	dh_auto_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-mptt/django-mptt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-mptt 0.8.3

=== debian/changelog ===
python-django-mptt (0.8.3-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 13:35:31 +1000

## python-django-mptt 0.8.5

=== tests/requirements.txt ===
mock-django
Django
coverage

=== debian/changelog ===
python-django-mptt (0.8.5-0.1ubuntu1) zesty; urgency=medium

  * Turn off autotests temperoririly due to a lot of errors and failures
    being generated.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 13 Feb 2017 11:46:13 +0530

python-django-mptt (0.8.5-0.1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Aug 2016 08:44:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: python-django-mptt
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python3-sphinx,
  python-all (>= 2.6.6-3~), python-setuptools, python-django (>= 1.6),
  python3-all, python3-setuptools, python3-django (>= 1.6),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/django-mptt/django-mptt
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-mptt.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-mptt.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-mptt.git
 
 Package: python-django-mptt

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-mptt

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_test:
#	PYTHONPATH=.:tests \
#	dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/django-admin test --settings=settings --verbosity 2 --traceback myapp"

override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

## python-django-mptt 0.8.7

=== requirements.txt ===
Django >= 1.8

=== debian/changelog ===
python-django-mptt (0.8.7-1) unstable; urgency=medium

  * Team upload.

  [ Brian May ]
  * New upstream version.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Chris Lamb ]
  * Remove trailing whitespaces.

  [ Antonio Terceiro ]
  * debian/watch: pull tarball from github
    - the releases uploaded to pypi do not containt the tests directory
  * Import a new copy of the 0.8.7, which includes the tests directory
    (now really Closes: #828669)
  * skip failing test
  * Run test suite under autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 12 Apr 2019 19:50:05 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: python-django-mptt
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python3-sphinx,
  python-all (>= 2.6.6-3~), python-setuptools, python-django (>= 1.6),
  python3-all, python3-setuptools, python3-django (>= 1.6),
 Standards-Version: 3.9.7
 Homepage: https://github.com/django-mptt/django-mptt
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-mptt.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-mptt.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-mptt.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-mptt
 
 Package: python-django-mptt
 Architecture: all

## python-django-mptt 0.10.0

=== debian/changelog ===
python-django-mptt (0.10.0-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Team upload
  * New upstream version 0.10.0 (Closes: #933143)
  * Drop debian/patches/0001-Skip-doctest-test.patch, not needed anymore
  * Add new dependency: python3-django-js-asset
  * Bump Standards-Version; no changes needed otherwise

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 17 Aug 2019 13:40:17 -0300

=== debian/control ===
Source: python-django-mptt
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-django (>= 1.6),
               python3-django-js-asset,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.4.0
Homepage: https://github.com/django-mptt/django-mptt
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-mptt.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-mptt

Package: python3-django-mptt
Architecture: all
Suggests: python-django-mptt-doc
Depends: libjs-jquery,
         libjs-underscore,
         python3-django,
         python3-django-js-asset,
         ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Description: Modified Preorder Tree Traversal Django application
 Django MPTT is a reusable/standalone Django application which aims to
 make it easy for you to use Modified Preorder Tree Traversal with your
 own Django models in your own applications.
 .
 It takes care of the details of managing a database table as a tree
 structure and provides tools for working with trees of model instances.

Package: python-django-mptt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: python-django-mptt (<< 0.6.1-1~)
Replaces: python-django-mptt (<< 0.6.1-1~)
Description: Modified Preorder Tree Traversal Django application (documentation)
 Django MPTT is a reusable/standalone Django application which aims to
 make it easy for you to use Modified Preorder Tree Traversal with your
 own Django models in your own applications.
 .
 It takes care of the details of managing a database table as a tree
 structure and provides tools for working with trees of model instances.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-mptt

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_test:
	PYTHONPATH=.:tests \
	dh_auto_test -- --system=custom --test-args="{interpreter} /usr/bin/django-admin test --settings=settings --verbosity 2 --traceback myapp"

override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

## python-django-mptt 0.11.0

=== requirements.txt ===
Django >= 1.11
django-js-asset

=== tests/requirements.txt ===
mock-django
Django >= 1.11
coverage
django-js-asset

=== debian/changelog ===
python-django-mptt (0.11.0-1) unstable; urgency=medium

  * Team upload

  [ Antonio Terceiro ]
  * New upstream version 0.11.0
    - Builds and tests fine against Django 3 (Closes: #961168)
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Bump debhelper compatibility level to 13. This does not change the
    binaries produced.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 May 2020 09:22:44 -0300

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-django (>= 1.6),
                python3-django-js-asset,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/django-mptt/django-mptt
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-mptt.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-mptt

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/django-mptt/django-mptt/releases .*/(.*).tar.gz

## python-django-mptt 0.13.2

=== requirements.txt ===
Django >= 2.2
django-js-asset

=== docs/Makefile ===
--- 
+++ 
@@ -38,12 +38,6 @@
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
-	@echo
-	@echo "renaming sphinx dirs so they're okay for gh-pages"
-	sed -i -s -e 's/"_static\//"static\//g' $(BUILDDIR)/html/*.html
-	mv $(BUILDDIR)/html/_static/ $(BUILDDIR)/html/static
-	sed -i -s -e 's/"_sources\//"sources\//g' $(BUILDDIR)/html/*.html
-	mv $(BUILDDIR)/html/_sources/ $(BUILDDIR)/html/sources
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== docs/requirements.txt ===
Django
django-js-asset

=== tests/requirements.txt ===
mock-django
Django >= 2.2
coverage
django-js-asset

=== debian/changelog ===
python-django-mptt (0.13.2-2) unstable; urgency=medium

  * Team upload.
  * python-django-mptt-doc: add Breaks: and Replaces: on older versions or
    python3-django-mptt, as some files were moved from the later to the former
    in the last upload (fixing a bug, but introducing another one when
    upgrading).

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 30 Aug 2021 20:12:02 -0300

python-django-mptt (0.13.2-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-django-mptt-doc: Add Multi-Arch: foreign.

  [ Carsten Schoenert ]
  * [7d78df5] d/gbp.conf: Add some more defaults
  * [9d74c21] New upstream version 0.13.2
  * [3d89083] Add patches from patch queue branch
    Added patches:
    models-Adjust-msg-Title-underline-to-short.patch
    tutorial-Remove-unknown-sphinx-directive-python.patch
  * [ae5becf] d/control: Add new B-D on python3-sphinx-rtd-theme
  * [b9e6089] python-django-mptt-doc: Use dh_sphinxdoc for build
  * [a11009c] d/control: Order binary packages alphabetical
  * [ae61a4a] d/control: Remove Breaks for obsolete binary package
    The binary package python-django-mptt is now only existent in
    oldoldoldstable (stretch).
  * [3ef201b] d/control: Compressing the (Build-)Depends fields
  * [f2cdad6] d/control: Increase to Django version >=2 while built
  * [ebdb1da] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [b3aad95] d/watch: Update to version 4
  * [f144016] d/control: Adding entry Rules-Requires-Root: no

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 28 Aug 2021 09:47:35 +0200

=== debian/control ===
Source: python-django-mptt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django (>= 2),
 python3-django-js-asset,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/django-mptt/django-mptt
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-mptt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-mptt

Package: python-django-mptt-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks: python3-django-mptt (<< 0.13.2-1~)
Replaces: python3-django-mptt (<< 0.13.2-1~)
Multi-Arch: foreign
Description: Modified Preorder Tree Traversal Django application (documentation)
 Django MPTT is a reusable/standalone Django application which aims to
 make it easy for you to use Modified Preorder Tree Traversal with your
 own Django models in your own applications.
 .
 It takes care of the details of managing a database table as a tree
 structure and provides tools for working with trees of model instances.
 .
 This package contains the documentation.

Package: python3-django-mptt
Architecture: all
Suggests: python-django-mptt-doc
Depends:
 libjs-jquery,
 libjs-underscore,
 python3-django,
 python3-django-js-asset,
 ${misc:Depends},
 ${python3:Depends}
Provides: ${python3:Provides}
Description: Modified Preorder Tree Traversal Django application
 Django MPTT is a reusable/standalone Django application which aims to
 make it easy for you to use Modified Preorder Tree Traversal with your
 own Django models in your own applications.
 .
 It takes care of the details of managing a database table as a tree
 structure and provides tools for working with trees of model instances.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,13 @@
 export PYBUILD_NAME=django-mptt
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
-	make -C docs html
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-django-mptt-doc/usr/share/doc/python-django-mptt-doc/html
+	dh_sphinxdoc
+endif
 
 override_dh_auto_test:
 	PYTHONPATH=.:tests \

=== debian/tests/control ===
Test-Command: cd tests && PYTHONPATH=. django-admin test --settings=settings --verbosity 2 --traceback myapp
Features: test-name=testsuite
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/django-mptt/django-mptt/releases .*/(.*).tar.gz

## python-django-mptt 0.17

=== tests/requirements.txt ===
mock-django
Django >= 4.2
coverage
django-js-asset
model-bakery

=== debian/changelog ===
python-django-mptt (0.17-0ubuntu1) questing; urgency=medium

  * New upstream version 0.17
  * d/p/tutorial-Remove-unknown-sphinx-directive-python.patch: Refresh for new
    version.
  * d/control: Add dependency on pybuild-plugin-pyproject python3-model-bakery,
    and python3-hatchling.
  * d/t/control: Use build dependencies in tests.
  * d/watch: Update to use github api.

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 01 Aug 2025 19:21:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: python-django-mptt
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django (>= 2),
  python3-django-js-asset,
+ python3-hatchling,
+ python3-model-bakery,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,

=== debian/tests/control ===
Test-Command: cd tests && PYTHONPATH=. django-admin test --settings=settings --verbosity 2 --traceback myapp
Features: test-name=testsuite
Restrictions: allow-stderr
Depends: @, @builddeps@

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/django-mptt/django-mptt/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## python-django-mptt 0.18

=== requirements.txt ===
Django >= 4.2
django-js-asset

=== docs/requirements.txt ===
Django
django-js-asset
sphinx-rtd-theme

=== debian/changelog ===
python-django-mptt (0.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Sync python3-django build-dependency version with upstream.
  * Drop Build-Depends: python3-setuptools.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Oct 2025 13:47:15 +0100

python-django-mptt (0.17-1) experimental; urgency=medium

  * Team upload.
  * [940ce15] d/watch: Move over to git-mode
  * [461f007] d/gbp.conf: Exclude mo files
  * [071b7c1] New upstream version 0.17
  * [fe711b7] Rebuild patch-queue from patch queue branch
    Dropped patch:
    tutorial-Remove-unknown-sphinx-directive-python.patch
    included upstream
  * [9d7a3f1] d/control: Add gettext to B-D
  * [84ceb06] d/rules: Add target to build mo files
  * [dbeee08] d/control: Add gettext to Build-Depends
  * [abc917d] d/rules: Remove *.mo in dh_clean
  * [10b5a3e] d/control: Update Standards-Version to 4.7.2
  * [458a248] d/contol: Remove Rules-Requires-Root: no
  * [1eff4de] d/copyright: Add myself
  * [0e473c8] d/copyright: Shorten GPL-2+ license reference

 -- Juri Grabowski <debian@jugra.de>  Wed, 16 Jul 2025 16:42:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: python-django-mptt
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ gettext,
  pybuild-plugin-pyproject,
  python3-all,
- python3-django (>= 2),
+ python3-django (>= 3:4.2),
  python3-django-js-asset,
  python3-hatchling,
  python3-model-bakery,
- python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/django-mptt/django-mptt
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-mptt.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-mptt
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-mptt-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-mptt
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=PYTHONPATH=.:tests {interpreter} /usr/bin/django-admin test --settings=settings --verbosity 2 --traceback myapp

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-django-mptt-doc/usr/share/doc/python-django-mptt-doc/html
	dh_sphinxdoc
endif

override_dh_auto_clean:
	rm -rf build
	find mptt/ -type f -name django.mo -delete
	dh_auto_clean

override_dh_auto_build: rebuild-locale
	dh_auto_build

rebuild-locale:
	@echo
	@echo "Rebuild the GNU message catalogs..."
	@echo
	for lang in `find mptt/locale/ -maxdepth 1 -type d | sort`; do \
	    if [ -f $${lang}/LC_MESSAGES/django.po ]; then \
	        LANG=`basename $${lang}` ;\
	        echo "Create message catalog for '$${LANG}'" ;\
	        msgfmt -v $${lang}/LC_MESSAGES/django.po -o $${lang}/LC_MESSAGES/django.mo ;\
	    fi ;\
	done

=== debian/watch ===
version=4
opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      dversionmangle=auto" \
https://github.com/django-mptt/django-mptt.git \
      refs/tags/@ANY_VERSION@
